[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Halt

Stop program execution.

## Declaration

Source position: systemh.inc line 1530

`procedure Halt(`
`errnum: LongInt`
`); procedure Halt;`

## Description

Halt stops program execution and returns control to the calling program. The optional argument Errnum specifies an exit value. If omitted, zero is returned.

Note that this skips any try/finally (implicit or explicit) or try/except blocks, thus may result in memory leaks. Finalization sections of units will be executed.

## Errors

None.

## See also

Exit |  | Exit current subroutine.

## Example

    Program Example30;

    { Program to demonstrate the Halt function. }

    begin
     Writeln ('Before Halt.');
     Halt (1); { Stop with exit code 1 }
     Writeln ('After Halt doesn''t get executed.');
    end.